<div class="card">
  <div class="card-divider">
    <h2 class="card-title">
      <%= title %>
      <div class="button--title">
        <%= export_dropdown if allowed_to? :export_answers, :questionnaire %>
      </div>
    </h2>
  </div>
  <div class="card-section">
    <div class="row column">
      <%= form.translated :text_field, :title, autofocus: true %>
    </div>
    <div class="row column">
      <%= form.translated :editor, :description, toolbar: :image, lines: 30, label: t("models.components.description", scope: "decidim.forms.admin") %>
    </div>
    <div class="row column">
      <%= form.translated :editor, :tos, toolbar: :image, lines: 10, label: t("models.components.tos", scope: "decidim.forms.admin") %>
    </div>
  </div>
</div>

<div class="questionnaire-questions">
  <% if questionnaire.questions_editable? %>
    <%= fields_for "questionnaire[questions][#{blank_question.to_param}]", blank_question do |question_form| %>
      <script type="text/template" class="decidim-template">
        <%= render "decidim/forms/admin/questionnaires/question", form: question_form, id: tabs_id_for_question(blank_question), editable: questionnaire.questions_editable?, child_template_selector: "#answer-option-template-dummy" %>
      </script>
      <%= render "decidim/forms/admin/questionnaires/answer_option_template", form: question_form, editable: questionnaire.questions_editable?, template_id: "answer-option-template-dummy" %>
    <% end %>
  <% else %>
    <div class="callout warning">
      <%= t(".already_answered_warning") %>
    </div>
  <% end %>

  <div class="questionnaire-questions-list">
    <% @form.questions.each_with_index do |question, index| %>
      <%= fields_for "questionnaire[questions][]", question do |question_form| %>
        <%= render "decidim/forms/admin/questionnaires/question", form: question_form, id: tabs_id_for_question(question), editable: questionnaire.questions_editable?, child_template_selector: "#answer-option-template-#{index}" %>
        <%= render "decidim/forms/admin/questionnaires/answer_option_template", form: question_form, editable: questionnaire.questions_editable?, template_id: "answer-option-template-#{index}" %>
      <% end %>
    <% end %>
  </div>

  <% if questionnaire.questions_editable? %>
    <button class="button add-question"><%= t(".add_question") %></button>
  <% end %>
</div>

<% if questionnaire.questions_editable? %>
  <%= javascript_include_tag "decidim/forms/admin/forms" %>
<% end %>
